commit abcff2a89ab8614465bedd51eb27a055a80d6238
Author: Fabian Reimeier <f.reimeier@bgbm.org>
Date:   Tue Apr 10 13:42:19 2018 +0200

    ref #7101 fixed testLoadTaxa test

diff --git a/src/test/java/eu/etaxonomy/cdm/vaadin/presenter/StatusPresenterTest.java b/src/test/java/eu/etaxonomy/cdm/vaadin/presenter/StatusPresenterTest.java
index ed4a4a99..1a1a7f79 100644
--- a/src/test/java/eu/etaxonomy/cdm/vaadin/presenter/StatusPresenterTest.java
+++ b/src/test/java/eu/etaxonomy/cdm/vaadin/presenter/StatusPresenterTest.java
@@ -51,7 +51,6 @@ public class StatusPresenterTest extends CdmVaadinBaseTest {
     }
 
     @Test
-    @Ignore
     public void testLoadTaxa() throws SQLException {
 
         LeafNodeTaxonContainer container = sp.loadTaxa(11);
diff --git a/src/test/resources/eu/etaxonomy/cdm/vaadin/presenter/StatusPresenterTest.xml b/src/test/resources/eu/etaxonomy/cdm/vaadin/presenter/StatusPresenterTest.xml
index 6c5a3be0..0c2a42bb 100644
--- a/src/test/resources/eu/etaxonomy/cdm/vaadin/presenter/StatusPresenterTest.xml
+++ b/src/test/resources/eu/etaxonomy/cdm/vaadin/presenter/StatusPresenterTest.xml
@@ -21,19 +21,19 @@
   <HOMOTYPICALGROUP ID="17" CREATED="2015-03-09 15:53:30.0" UUID="bafedb10-2a56-4457-8c48-ecb0aae18bf5" UPDATED="2015-03-09 15:53:32.0" CREATEDBY_ID="5000" UPDATEDBY_ID="5000"/>
   <HOMOTYPICALGROUP ID="20" CREATED="2015-03-10 13:40:30.0" UUID="61c41e51-72cd-40d1-9a56-554732036c57" UPDATED="2015-03-10 13:40:31.0" CREATEDBY_ID="5000" UPDATEDBY_ID="5000"/>
 
-  <TAXONNAME NAMETYPE="ICNAFP" ID="10" CREATED="2015-03-09 15:49:22.0" UUID="9c0b6c13-562e-4642-9494-58dbcedf45f4" UPDATED="2015-03-09 15:49:25.0" PARSINGPROBLEM="0" PROBLEMSTARTS="-1" PROBLEMENDS="-1" PROTECTEDTITLECACHE="false" TITLECACHE="Taxon A" PROTECTEDFULLTITLECACHE="false" AUTHORSHIPCACHE="A" BINOMHYBRID="false" GENUSORUNINOMIAL="Taxon" HYBRIDFORMULA="false" MONOMHYBRID="false" NAMECACHE="Taxon" PROTECTEDAUTHORSHIPCACHE="false" PROTECTEDNAMECACHE="false" TRINOMHYBRID="false" ANAMORPHIC="false" CREATEDBY_ID="5000" UPDATEDBY_ID="5000" HOMOTYPICALGROUP_ID="10" RANK_ID="769" COMBINATIONAUTHORSHIP_ID="10"/>
+  <TAXONNAME NAMETYPE="ICNAFP" ID="10" CREATED="2015-03-09 15:49:22.0" UUID="9c0b6c13-562e-4642-9494-58dbcedf45f4" UPDATED="2015-03-09 15:49:25.0" PARSINGPROBLEM="0" PROBLEMSTARTS="-1" PROBLEMENDS="-1" PROTECTEDTITLECACHE="false" TITLECACHE="Taxon A" PROTECTEDFULLTITLECACHE="false" AUTHORSHIPCACHE="A" BINOMHYBRID="false" GENUSORUNINOMIAL="Taxon" HYBRIDFORMULA="false" MONOMHYBRID="false" NAMECACHE="Taxon" PROTECTEDAUTHORSHIPCACHE="false" PROTECTEDNAMECACHE="false" TRINOMHYBRID="false" ANAMORPHIC="false" CREATEDBY_ID="5000" UPDATEDBY_ID="5000" HOMOTYPICALGROUP_ID="10" RANK_ID="765" COMBINATIONAUTHORSHIP_ID="10"/>
   <TAXONNAME NAMETYPE="ICNAFP" ID="11" CREATED="2015-03-09 15:49:30.0" UUID="82de3687-f90d-4968-951b-456a21659666" UPDATED="2015-03-09 15:50:21.0" PARSINGPROBLEM="0" PROBLEMSTARTS="-1" PROBLEMENDS="-1" PROTECTEDTITLECACHE="true" TITLECACHE="HTSynonym A1" FULLTITLECACHE="HTSynonym A1" PROTECTEDFULLTITLECACHE="true" AUTHORSHIPCACHE="" BINOMHYBRID="false" HYBRIDFORMULA="false" MONOMHYBRID="false" NAMECACHE="HTSynonym A1" PROTECTEDAUTHORSHIPCACHE="false" PROTECTEDNAMECACHE="true" TRINOMHYBRID="false" ANAMORPHIC="false" CREATEDBY_ID="5000" UPDATEDBY_ID="5000" HOMOTYPICALGROUP_ID="11"/>
   <TAXONNAME NAMETYPE="ICNAFP" ID="12" CREATED="2015-03-09 15:50:25.0" UUID="bd86d4f9-8427-4ac5-a8c2-48add63da449" UPDATED="2015-03-09 15:50:54.0" PARSINGPROBLEM="0" PROBLEMSTARTS="-1" PROBLEMENDS="-1" PROTECTEDTITLECACHE="true" TITLECACHE="HMSynonym A1" FULLTITLECACHE="HMSynonym A1" PROTECTEDFULLTITLECACHE="true" AUTHORSHIPCACHE="" BINOMHYBRID="false" HYBRIDFORMULA="false" MONOMHYBRID="false" NAMECACHE="HMSynonym A1" PROTECTEDAUTHORSHIPCACHE="false" PROTECTEDNAMECACHE="true" TRINOMHYBRID="false" ANAMORPHIC="false" CREATEDBY_ID="5000" UPDATEDBY_ID="5000" HOMOTYPICALGROUP_ID="10"/>
-  <TAXONNAME NAMETYPE="ICNAFP" ID="13" CREATED="2015-03-09 15:51:11.0" UUID="fb76b9cb-29d2-4986-a327-19d1d003159a" UPDATED="2015-03-09 15:51:14.0" PARSINGPROBLEM="0" PROBLEMSTARTS="-1" PROBLEMENDS="-1" PROTECTEDTITLECACHE="false" TITLECACHE="Taxon B" FULLTITLECACHE="Taxon B" PROTECTEDFULLTITLECACHE="false" AUTHORSHIPCACHE="B" BINOMHYBRID="false" GENUSORUNINOMIAL="Taxon" HYBRIDFORMULA="false" MONOMHYBRID="false" NAMECACHE="Taxon" PROTECTEDAUTHORSHIPCACHE="false" PROTECTEDNAMECACHE="false" TRINOMHYBRID="false" ANAMORPHIC="false" CREATEDBY_ID="5000" UPDATEDBY_ID="5000" HOMOTYPICALGROUP_ID="12" RANK_ID="769" COMBINATIONAUTHORSHIP_ID="11"/>
-  <TAXONNAME NAMETYPE="ICNAFP" ID="14" CREATED="2015-03-09 15:51:24.0" UUID="a21d5e7c-e8b5-4395-b83b-a219877e80eb" UPDATED="2015-03-09 15:51:25.0" PARSINGPROBLEM="0" PROBLEMSTARTS="-1" PROBLEMENDS="-1" PROTECTEDTITLECACHE="false" TITLECACHE="Taxon C" PROTECTEDFULLTITLECACHE="false" AUTHORSHIPCACHE="C" BINOMHYBRID="false" GENUSORUNINOMIAL="Taxon" HYBRIDFORMULA="false" MONOMHYBRID="false" NAMECACHE="Taxon" PROTECTEDAUTHORSHIPCACHE="false" PROTECTEDNAMECACHE="false" TRINOMHYBRID="false" ANAMORPHIC="false" CREATEDBY_ID="5000" UPDATEDBY_ID="5000" HOMOTYPICALGROUP_ID="13" RANK_ID="769" COMBINATIONAUTHORSHIP_ID="12"/>
+  <TAXONNAME NAMETYPE="ICNAFP" ID="13" CREATED="2015-03-09 15:51:11.0" UUID="fb76b9cb-29d2-4986-a327-19d1d003159a" UPDATED="2015-03-09 15:51:14.0" PARSINGPROBLEM="0" PROBLEMSTARTS="-1" PROBLEMENDS="-1" PROTECTEDTITLECACHE="false" TITLECACHE="Taxon B" FULLTITLECACHE="Taxon B" PROTECTEDFULLTITLECACHE="false" AUTHORSHIPCACHE="B" BINOMHYBRID="false" GENUSORUNINOMIAL="Taxon" HYBRIDFORMULA="false" MONOMHYBRID="false" NAMECACHE="Taxon" PROTECTEDAUTHORSHIPCACHE="false" PROTECTEDNAMECACHE="false" TRINOMHYBRID="false" ANAMORPHIC="false" CREATEDBY_ID="5000" UPDATEDBY_ID="5000" HOMOTYPICALGROUP_ID="12" RANK_ID="765" COMBINATIONAUTHORSHIP_ID="11"/>
+  <TAXONNAME NAMETYPE="ICNAFP" ID="14" CREATED="2015-03-09 15:51:24.0" UUID="a21d5e7c-e8b5-4395-b83b-a219877e80eb" UPDATED="2015-03-09 15:51:25.0" PARSINGPROBLEM="0" PROBLEMSTARTS="-1" PROBLEMENDS="-1" PROTECTEDTITLECACHE="false" TITLECACHE="Taxon C" PROTECTEDFULLTITLECACHE="false" AUTHORSHIPCACHE="C" BINOMHYBRID="false" GENUSORUNINOMIAL="Taxon" HYBRIDFORMULA="false" MONOMHYBRID="false" NAMECACHE="Taxon" PROTECTEDAUTHORSHIPCACHE="false" PROTECTEDNAMECACHE="false" TRINOMHYBRID="false" ANAMORPHIC="false" CREATEDBY_ID="5000" UPDATEDBY_ID="5000" HOMOTYPICALGROUP_ID="13" RANK_ID="765" COMBINATIONAUTHORSHIP_ID="12"/>
   <TAXONNAME NAMETYPE="ICNAFP" ID="15" CREATED="2015-03-09 15:51:31.0" UUID="7dd4eaa3-b65f-4d1e-8d2c-26a31ea3ae0b" UPDATED="2015-03-09 15:51:44.0" PARSINGPROBLEM="0" PROBLEMSTARTS="-1" PROBLEMENDS="-1" PROTECTEDTITLECACHE="true" TITLECACHE="HTSynonym C1" FULLTITLECACHE="HTSynonym C1" PROTECTEDFULLTITLECACHE="true" AUTHORSHIPCACHE="" BINOMHYBRID="false" HYBRIDFORMULA="false" MONOMHYBRID="false" NAMECACHE="HTSynonym C1" PROTECTEDAUTHORSHIPCACHE="false" PROTECTEDNAMECACHE="true" TRINOMHYBRID="false" ANAMORPHIC="false" CREATEDBY_ID="5000" UPDATEDBY_ID="5000" HOMOTYPICALGROUP_ID="13"/>
-  <TAXONNAME NAMETYPE="ICNAFP" ID="16" CREATED="2015-03-09 15:52:34.0" UUID="81444d5e-122f-46aa-9bee-d7c0ba52f8d6" UPDATED="2015-03-09 15:52:42.0" PARSINGPROBLEM="0" PROBLEMSTARTS="-1" PROBLEMENDS="-1" PROTECTEDTITLECACHE="false" TITLECACHE="Taxon A" PROTECTEDFULLTITLECACHE="false" AUTHORSHIPCACHE="A" BINOMHYBRID="false" GENUSORUNINOMIAL="Taxon" HYBRIDFORMULA="false" MONOMHYBRID="false" NAMECACHE="Taxon" PROTECTEDAUTHORSHIPCACHE="false" PROTECTEDNAMECACHE="false" TRINOMHYBRID="false" ANAMORPHIC="false" CREATEDBY_ID="5000" UPDATEDBY_ID="5000" HOMOTYPICALGROUP_ID="14" RANK_ID="769" COMBINATIONAUTHORSHIP_ID="13"/>
+  <TAXONNAME NAMETYPE="ICNAFP" ID="16" CREATED="2015-03-09 15:52:34.0" UUID="81444d5e-122f-46aa-9bee-d7c0ba52f8d6" UPDATED="2015-03-09 15:52:42.0" PARSINGPROBLEM="0" PROBLEMSTARTS="-1" PROBLEMENDS="-1" PROTECTEDTITLECACHE="false" TITLECACHE="Taxon A" PROTECTEDFULLTITLECACHE="false" AUTHORSHIPCACHE="A" BINOMHYBRID="false" GENUSORUNINOMIAL="Taxon" HYBRIDFORMULA="false" MONOMHYBRID="false" NAMECACHE="Taxon" PROTECTEDAUTHORSHIPCACHE="false" PROTECTEDNAMECACHE="false" TRINOMHYBRID="false" ANAMORPHIC="false" CREATEDBY_ID="5000" UPDATEDBY_ID="5000" HOMOTYPICALGROUP_ID="14" RANK_ID="766" COMBINATIONAUTHORSHIP_ID="13"/>
   <TAXONNAME NAMETYPE="ICNAFP" ID="17" CREATED="2015-03-09 15:52:53.0" UUID="dcdfbc9f-5596-4ae2-85e0-b9c738d8bcec" UPDATED="2015-03-09 15:52:57.0" PARSINGPROBLEM="0" PROBLEMSTARTS="-1" PROBLEMENDS="-1" PROTECTEDTITLECACHE="true" TITLECACHE="HMSynonym A1" FULLTITLECACHE="HMSynonym A1" PROTECTEDFULLTITLECACHE="true" AUTHORSHIPCACHE="" BINOMHYBRID="false" HYBRIDFORMULA="false" MONOMHYBRID="false" NAMECACHE="HMSynonym A1" PROTECTEDAUTHORSHIPCACHE="false" PROTECTEDNAMECACHE="true" TRINOMHYBRID="false" ANAMORPHIC="false" CREATEDBY_ID="5000" UPDATEDBY_ID="5000" HOMOTYPICALGROUP_ID="14"/>
   <TAXONNAME NAMETYPE="ICNAFP" ID="18" CREATED="2015-03-09 15:53:06.0" UUID="fa186915-0bb5-4047-a5c5-404d75851f1c" UPDATED="2015-03-09 15:53:07.0" PARSINGPROBLEM="0" PROBLEMSTARTS="-1" PROBLEMENDS="-1" PROTECTEDTITLECACHE="true" TITLECACHE="HTSynonym A1" FULLTITLECACHE="HTSynonym A1" PROTECTEDFULLTITLECACHE="true" AUTHORSHIPCACHE="" BINOMHYBRID="false" HYBRIDFORMULA="false" MONOMHYBRID="false" NAMECACHE="HTSynonym A1" PROTECTEDAUTHORSHIPCACHE="false" PROTECTEDNAMECACHE="true" TRINOMHYBRID="false" ANAMORPHIC="false" CREATEDBY_ID="5000" UPDATEDBY_ID="5000" HOMOTYPICALGROUP_ID="15"/>
-  <TAXONNAME NAMETYPE="ICNAFP" ID="19" CREATED="2015-03-09 15:53:21.0" UUID="fddf69fa-4f25-4d10-b693-1a9d5d7bbd5c" UPDATED="2015-03-09 15:53:23.0" PARSINGPROBLEM="0" PROBLEMSTARTS="-1" PROBLEMENDS="-1" PROTECTEDTITLECACHE="false" TITLECACHE="Taxon B" FULLTITLECACHE="Taxon B" PROTECTEDFULLTITLECACHE="false" AUTHORSHIPCACHE="B" BINOMHYBRID="false" GENUSORUNINOMIAL="Taxon" HYBRIDFORMULA="false" MONOMHYBRID="false" NAMECACHE="Taxon" PROTECTEDAUTHORSHIPCACHE="false" PROTECTEDNAMECACHE="false" TRINOMHYBRID="false" ANAMORPHIC="false" CREATEDBY_ID="5000" UPDATEDBY_ID="5000" HOMOTYPICALGROUP_ID="16" RANK_ID="769" COMBINATIONAUTHORSHIP_ID="14"/>
-  <TAXONNAME NAMETYPE="ICNAFP" ID="20" CREATED="2015-03-09 15:53:30.0" UUID="9e644031-9190-4a4f-94bb-fc1f6066bbab" UPDATED="2015-03-09 15:53:32.0" PARSINGPROBLEM="0" PROBLEMSTARTS="-1" PROBLEMENDS="-1" PROTECTEDTITLECACHE="false" TITLECACHE="Taxon C" PROTECTEDFULLTITLECACHE="false" AUTHORSHIPCACHE="C" BINOMHYBRID="false" GENUSORUNINOMIAL="Taxon" HYBRIDFORMULA="false" MONOMHYBRID="false" NAMECACHE="Taxon" PROTECTEDAUTHORSHIPCACHE="false" PROTECTEDNAMECACHE="false" TRINOMHYBRID="false" ANAMORPHIC="false" CREATEDBY_ID="5000" UPDATEDBY_ID="5000" HOMOTYPICALGROUP_ID="17" RANK_ID="769" COMBINATIONAUTHORSHIP_ID="15"/>
+  <TAXONNAME NAMETYPE="ICNAFP" ID="19" CREATED="2015-03-09 15:53:21.0" UUID="fddf69fa-4f25-4d10-b693-1a9d5d7bbd5c" UPDATED="2015-03-09 15:53:23.0" PARSINGPROBLEM="0" PROBLEMSTARTS="-1" PROBLEMENDS="-1" PROTECTEDTITLECACHE="false" TITLECACHE="Taxon B" FULLTITLECACHE="Taxon B" PROTECTEDFULLTITLECACHE="false" AUTHORSHIPCACHE="B" BINOMHYBRID="false" GENUSORUNINOMIAL="Taxon" HYBRIDFORMULA="false" MONOMHYBRID="false" NAMECACHE="Taxon" PROTECTEDAUTHORSHIPCACHE="false" PROTECTEDNAMECACHE="false" TRINOMHYBRID="false" ANAMORPHIC="false" CREATEDBY_ID="5000" UPDATEDBY_ID="5000" HOMOTYPICALGROUP_ID="16" RANK_ID="767" COMBINATIONAUTHORSHIP_ID="14"/>
+  <TAXONNAME NAMETYPE="ICNAFP" ID="20" CREATED="2015-03-09 15:53:30.0" UUID="9e644031-9190-4a4f-94bb-fc1f6066bbab" UPDATED="2015-03-09 15:53:32.0" PARSINGPROBLEM="0" PROBLEMSTARTS="-1" PROBLEMENDS="-1" PROTECTEDTITLECACHE="false" TITLECACHE="Taxon C" PROTECTEDFULLTITLECACHE="false" AUTHORSHIPCACHE="C" BINOMHYBRID="false" GENUSORUNINOMIAL="Taxon" HYBRIDFORMULA="false" MONOMHYBRID="false" NAMECACHE="Taxon" PROTECTEDAUTHORSHIPCACHE="false" PROTECTEDNAMECACHE="false" TRINOMHYBRID="false" ANAMORPHIC="false" CREATEDBY_ID="5000" UPDATEDBY_ID="5000" HOMOTYPICALGROUP_ID="17" RANK_ID="766" COMBINATIONAUTHORSHIP_ID="15"/>
   <TAXONNAME NAMETYPE="ICNAFP" ID="21" CREATED="2015-03-09 15:53:49.0" UUID="0755d9d7-007a-4d81-a2f8-2ba1b7020cf4" UPDATED="2015-03-09 15:53:52.0" PARSINGPROBLEM="0" PROBLEMSTARTS="-1" PROBLEMENDS="-1" PROTECTEDTITLECACHE="true" TITLECACHE="HTSynonym C1" FULLTITLECACHE="HTSynonym C1" PROTECTEDFULLTITLECACHE="true" AUTHORSHIPCACHE="" BINOMHYBRID="false" HYBRIDFORMULA="false" MONOMHYBRID="false" NAMECACHE="HTSynonym C1" PROTECTEDAUTHORSHIPCACHE="false" PROTECTEDNAMECACHE="true" TRINOMHYBRID="false" ANAMORPHIC="false" CREATEDBY_ID="5000" UPDATEDBY_ID="5000" HOMOTYPICALGROUP_ID="17"/>
-  <TAXONNAME NAMETYPE="ICNAFP" ID="30" CREATED="2015-03-10 13:40:30.0" UUID="b1b9abf0-72a6-4a2e-8bd1-3ef189f5b3e9" UPDATED="2015-03-10 13:40:31.0" PARSINGPROBLEM="0" PROBLEMSTARTS="-1" PROBLEMENDS="-1" PROTECTEDTITLECACHE="false" TITLECACHE="Taxon D" FULLTITLECACHE="Taxon D" PROTECTEDFULLTITLECACHE="false" AUTHORSHIPCACHE="D" BINOMHYBRID="false" GENUSORUNINOMIAL="Taxon" HYBRIDFORMULA="false" MONOMHYBRID="false" NAMECACHE="Taxon" PROTECTEDAUTHORSHIPCACHE="false" PROTECTEDNAMECACHE="false" TRINOMHYBRID="false" ANAMORPHIC="false" CREATEDBY_ID="5000" UPDATEDBY_ID="5000" HOMOTYPICALGROUP_ID="20" RANK_ID="778" COMBINATIONAUTHORSHIP_ID="20"/>
+  <TAXONNAME NAMETYPE="ICNAFP" ID="30" CREATED="2015-03-10 13:40:30.0" UUID="b1b9abf0-72a6-4a2e-8bd1-3ef189f5b3e9" UPDATED="2015-03-10 13:40:31.0" PARSINGPROBLEM="0" PROBLEMSTARTS="-1" PROBLEMENDS="-1" PROTECTEDTITLECACHE="false" TITLECACHE="Taxon D" FULLTITLECACHE="Taxon D" PROTECTEDFULLTITLECACHE="false" AUTHORSHIPCACHE="D" BINOMHYBRID="false" GENUSORUNINOMIAL="Taxon" HYBRIDFORMULA="false" MONOMHYBRID="false" NAMECACHE="Taxon" PROTECTEDAUTHORSHIPCACHE="false" PROTECTEDNAMECACHE="false" TRINOMHYBRID="false" ANAMORPHIC="false" CREATEDBY_ID="5000" UPDATEDBY_ID="5000" HOMOTYPICALGROUP_ID="20" RANK_ID="774" COMBINATIONAUTHORSHIP_ID="20"/>
 
   <CLASSIFICATION ID="11" CREATED="2015-03-09 15:48:30.0" UUID="6595638e-4993-421a-9fe5-76b09d94f36a" UPDATED="2015-03-09 15:48:42.0" PROTECTEDTITLECACHE="false" TITLECACHE="Classification1" CREATEDBY_ID="5000" UPDATEDBY_ID="5000" NAME_ID="11" ROOTNODE_ID="11"/>
   <CLASSIFICATION ID="12" CREATED="2015-03-09 15:52:08.0" UUID="1ef8aada-de72-4023-bbe1-14465b6bc60d" UPDATED="2015-03-09 15:52:24.0" PROTECTEDTITLECACHE="false" TITLECACHE="Classification2" CREATEDBY_ID="5000" UPDATEDBY_ID="5000" NAME_ID="12" ROOTNODE_ID="15"/>